Worker::isWorking
Worker::stack
Worker
PHP Manual

# Worker::shutdown

(PECL pthreads >= 2.0.0)

Worker::shutdown — Synchronization

### Description

public boolean Worker::shutdown ( void )

Shuts down the Worker after executing all the objects previously stacked

### Parameters

This function has no parameters.

### Return Values

### Examples

Example #1 Shutdown the referenced Worker

`<?php
$my = new Worker();
$my->start();
/* ... */
var_dump($my->shutdown());
/* ... */
?>`

The above example will output:

    bool(true)

Worker::isWorking
Worker::stack
Worker
PHP Manual